## master

=== isd2100/Makefile ===
#
#             LUFA Library
#     Copyright (C) Dean Camera, 2012.
#
#  dean [at] fourwalledcubicle [dot] com
#           www.lufa-lib.org
#
# --------------------------------------
#         LUFA Project Makefile.
# --------------------------------------

MCU          = at90usb162
ARCH         = AVR8
BOARD        = OLIMEX162
F_CPU        = 8000000
F_USB        = $(F_CPU)
OPTIMIZATION = s
TARGET       = isd2100_flasher
SRC          = main.c isd2100.c Descriptors.c $(LUFA_SRC_USB) $(LUFA_SRC_USBCLASS)
LUFA_PATH    = ../LUFA-120730/LUFA
CC_FLAGS     = -DUSE_LUFA_CONFIG_HEADER -IConfig/
LD_FLAGS     =

# Default target
all:

zip:
	tar cfvz isd2100.tar.gz *.c *.h isd2100.py Makefile README Config

# Include LUFA build script makefiles
include $(LUFA_PATH)/Build/lufa_core.mk
include $(LUFA_PATH)/Build/lufa_sources.mk
include $(LUFA_PATH)/Build/lufa_build.mk
include $(LUFA_PATH)/Build/lufa_cppcheck.mk
include $(LUFA_PATH)/Build/lufa_doxygen.mk
include $(LUFA_PATH)/Build/lufa_dfu.mk
include $(LUFA_PATH)/Build/lufa_hid.mk
include $(LUFA_PATH)/Build/lufa_avrdude.mk
include $(LUFA_PATH)/Build/lufa_atprogram.mk

=== lflash/Makefile ===
CC = gcc
CFLAGS  = -g -Wall

all:	lflash

lflash: lflash.o
		$(CC) $(CFLAGS) -o lflash lflash.o		

clean:
		rm -f lflash *.o *~

=== pirstool/Makefile ===

OBJS=pirstool.o

CFLAGS=-O2

all: $(OBJS)
	gcc -o pirstool $(OBJS)

clean:
	rm -fr $(OBJS) pirstool pirstool.exe *# *~

.PHONY: clean

=== shahunt/Makefile ===
all: \
	shahunt
	
shahunt: shahunt.c
	gcc -O2 -g -o shahunt shahunt.c -I$(LIBXBOX_DIR)/include -lxbox

=== xboxdumper/Makefile ===

OBJS=main.o util.o fatx.o file64.o utility.o

CFLAGS=-O2 -DXBOX360=1 -DMEMCARD=0 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D__USE_LARGEFILE64

all: $(OBJS)
	gcc -o xboxdumper $(OBJS)

clean:
	rm -fr $(OBJS) xboxdumper xboxdumper.exe *# *~

.PHONY: clean

=== reset_glitch_hack/cdxell/Makefile ===
CROSS=xenon-
CC=$(CROSS)gcc
OBJCOPY=$(CROSS)objcopy
LD=$(CROSS)ld
AS=$(CROSS)as
STRIP=$(CROSS)strip

# Configuration
AFLAGS = -m64

# Build rules
all: CD CDjasper

clean:
	rm -rf cdxell.o cdxell.bin CD CDjasper

.S.o:
	$(CC) $(AFLAGS) -c -o $@ $*.S

%.bin: %.o
	$(OBJCOPY) -O binary $< $@

CD: cdxell.bin
	cp CD.tpl CD
	dd bs=624 seek=1 if=cdxell.bin of=CD conv=notrunc

CDjasper: cdxell.bin
	cp CDjasper.tpl CDjasper
	dd bs=624 seek=1 if=cdxell.bin of=CDjasper conv=notrunc

=== lflash/debian/changelog ===
lflash (0.1-1~0free60-1) unstable; urgency=low

  * Initial packaging

 -- tuxuser <webmaster@libxenon.org>  Tue, 25 Sep 2012 23:02:20 +0200

=== lflash/debian/control ===
Source: lflash
Section: unknown
Priority: extra
Maintainer: tuxuser <webmaster@libxenon.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://free60.org
#Vcs-Git: git://github.com/Free60Project/tools.git
#Vcs-Browser: https://github.com/Free60Project/tools/tree/master/lflash

Package: lflash
Architecture: powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lflash is a linux-based nand flasher for xbox 360.
